Bug 109965 - Metacity cannot move window to the negative Y coordinate
Metacity cannot move window to the negative Y coordinate
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-13 10:35 EST by Jan "Yenya" Kasprzak
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-14 09:19:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2003-11-13 10:35:38 EST
Description of problem:
In metacity I am able to move window so that it is partly out
of the root window of the screen (i.e X < 0,
Y + window_height > screen_height or X + window width > screen_width),
but I am not able to move the window to Y < 0 coordinates (i.e.
so that only bottom part of window remains visible).
I think it is an inconsistency in the metacity user interface.

Version-Release number of selected component (if applicable):
metacity-2.6.3-1

How reproducible:
100%

Steps to Reproduce:
1. run gnome-terminal (for example)
2. right-click to the window decoration, the menu pops up
3. select "Move" from the pop-up menu
4. try to move the cursor near the upper, left, lower and right
   borders of the screen
  
Actual results:
You can move the window below the left, right and lower border
of the screen, but not below the upper border.


Expected results:
All four borders should behave the same (preferrably the behaviour
of the upper border should change).

Additional info:
I am using workspace switcher with 3x3 workspaces. The situation is
the same on all workspaces. I don't think using workspace switcher
matters in this case.
Comment 1 Havoc Pennington 2003-11-14 09:19:42 EST
This is a deliberate feature, with lots of prior discussion (mostly in
bugzilla.gnome.org)

Note You need to log in before you can comment on or make changes to this bug.